#!/bin/bash

# Actualizar repositorios
echo "Actualizando repositorios..."
apt-get update

# Instalar venv si no está disponible
if ! python3 -m venv --help &> /dev/null; then
    echo "Instalando venv..."
    apt-get install -y python3-venv
fi

# Crear un entorno virtual llamado 'venv'
echo "Creando entorno virtual 'venv'..."
python3 -m venv /app/venv

echo "Entorno virtual 'venv' creado exitosamente."
